6 votos

¿Cómo puedo hacer que una aplicación lo ' s en iOS 5?

Así que tengo un iPad jailbreak en 4.X. Me gustaría utilizar la nueva interfaz de Netflix pero solo es para ios 5. ¿Es allí cualquier aplicación de jailbreak que piensa su en ios 5 y no ios 4.X? ¿O es posible editar los archivos de la aplicación de Netflix o algo? Gracias por la ayuda.

14voto

Oskar Puntos 1242

Incluso si no se puede engañar a la aplicación, que se estrellara tan pronto como se llama en una parte del sistema que existe en iOS 5, pero no en iOS 4. Su edición del archivo de los dos tiene que ser la versión principal de los requisitos de verificación, así como cualquier control interno que la app hace para determinar las capacidades y API presente en ese dispositivo como el programa se ejecuta. No conozco a ningún desarrollador que acaba de decir que necesitan iOS 5 fuera de rencor contra las personas que ejecutan 4, 3, 2 versiones de iOS. Siempre ha sido así porque la necesidad de características y código de marcos añadido en iOS 5 y no podía código alrededor de ella en el programa. Cuando un desarrollador puede hacer que un cambio en su aplicación para trabajar en múltiples versiones del sistema operativo y dejar que usted sabe función de X es discapacitado o funciona de forma diferente cuando se ejecuta en iOS 4. Para los desarrolladores que deseen utilizar las últimas herramientas en iOS, en realidad, es más trabajo para ellos para mantener el mayor operativo de apoyo en cada construir lo que se necesita para ser una buena razón financiera para seguir haciendo que el trabajo en muchos casos.


Creo que de la versión de iOS de prueba como para sellar una puerta a la nada de la apertura en el tercer piso de un edificio y las escaleras de escape contra incendios (o un balcón o lo que sea) aún no está construida. Cuando el programa se engañan pensando que se ejecutan en iOS 5.x llamadas en el código que no existe, la aplicación se bloqueará.

Apple diseñó la versión de verificación "bloquear la puerta o tal vez el ala entera de que la construcción" en forma muy visible. Al pasar por alto esta comprobación, es como la eliminación de la "danger / peligro" de los signos y de madera clavadas llaves que cubre la abertura, y dejar a alguien caminar en el aire desde que en el tercer piso de la puerta a ninguna parte.

7voto

vapple Puntos 16

He hecho esto antes y causó un poco de inestabilidad, pero todo lo que necesitas hacer es abrir /System/Library/CoreServices/SystemVersion.plist en iFile, encontrar donde dice versión de iOS 4.X y cambiar a 5.0.1. Esto le permitirá descargar cualquier aplicación que requiere iOS 5.

-1voto

g0nY Puntos 7

Eliminación de /System/Library/CoreServices/SystemVersion.plist solucionó el problema para mí. No hay ninguna garantía de lo que sucederá si usted borrar tu /System/Library/CoreServices/SystemVersion.plist pero parecía trabajar para mí en iOS4.3.3(8J2) para solucionar los problemas que estaba teniendo como se ha mencionado en el post anterior.

No recomiendo la versión de iOS en SystemVersion.plist la falsificación como parece que la nueva App Store no es compatible con iOS 4.3.3.

AppleAyuda.com

AppleAyuda es una comunidad de usuarios de los productos de Apple en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros usuarios, hacer tus propias preguntas o resolver las de los demás.

Powered by:

X